Colloquy-Bot-Simple

Metadata

Analyzed metadata and errors of Colloquy-Bot-Simple.

{
   "abstracts_in_pod" : {
      "Colloquy::Bot::Simple" : "Simple robot interface for Colloquy"
   },
   "author" : "NICOLAW",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "examples",
      "lib/Colloquy/Bot",
      "lib/Colloquy",
      "lib",
      "t",
      "t"
   ],
   "dist" : "Colloquy-Bot-Simple",
   "dynamic_config" : 0,
   "error" : {
      "use_warnings" : "Colloquy::Bot::Simple"
   },
   "extension" : "tar.gz",
   "external_license_file" : "LICENSE",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_build_pl" : "Build.PL",
   "file_changelog" : "Changes",
   "file_license" : "LICENSE",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "Build.PL",
      "Changes",
      "INSTALL",
      "LICENSE",
      "MANIFEST",
      "META.yml",
      "Makefile.PL",
      "NOTICE",
      "README",
      "TODO",
      "examples/cpanbot.pl",
      "lib/Colloquy/Bot/Simple.pm",
      "t/00compile.t",
      "t/01pod.t",
      "t/02pod_coverage.t"
   ],
   "files_hash" : {
      "Build.PL" : {
         "mtime" : 1148902490,
         "required_in_eval" : [
            "Config",
            "LWP::UserAgent"
         ],
         "size" : 2403,
         "used" : [
            "Module::Build",
            "strict",
            "vars"
         ]
      },
      "Changes" : {
         "mtime" : 1148902490,
         "size" : 747
      },
      "INSTALL" : {
         "mtime" : 1148902490,
         "size" : 60
      },
      "LICENSE" : {
         "mtime" : 1148902490,
         "size" : 11358
      },
      "MANIFEST" : {
         "mtime" : 1148902490,
         "size" : 193
      },
      "META.yml" : {
         "mtime" : 1148902490,
         "size" : 447
      },
      "Makefile.PL" : {
         "mtime" : 1148902490,
         "required" : [
            "CPAN",
            "Cwd",
            "ExtUtils::MakeMaker",
            "File::Spec",
            "Module::Build"
         ],
         "size" : 1109,
         "used" : [
            "lib"
         ],
         "used_in_eval" : [
            "Module::Build::Compat"
         ]
      },
      "NOTICE" : {
         "mtime" : 1148902490,
         "size" : 89
      },
      "README" : {
         "mtime" : 1148902490,
         "size" : 2045
      },
      "TODO" : {
         "mtime" : 1148902490,
         "size" : 0
      },
      "examples/cpanbot.pl" : {
         "mtime" : 1148902490,
         "size" : 2151
      },
      "lib/Colloquy/Bot/Simple.pm" : {
         "module" : "Colloquy::Bot::Simple",
         "mtime" : 1148902490,
         "noed" : [
            "warnings"
         ],
         "size" : 8550,
         "used" : [
            "Carp",
            "Chatbot::TalkerBot",
            "Exporter",
            "Parse::Colloquy::Bot",
            "strict",
            "vars"
         ]
      },
      "t/00compile.t" : {
         "mtime" : 1148902490,
         "size" : 202,
         "used" : [
            "Test::More",
            "lib"
         ]
      },
      "t/01pod.t" : {
         "mtime" : 1148902490,
         "size" : 129,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      },
      "t/02pod_coverage.t" : {
         "mtime" : 1148902490,
         "size" : 216,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Test::Pod::Coverage"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 0,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 1,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "93.18",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 0,
      "meta_yml_has_license" : 1,
      "meta_yml_has_provides" : 1,
      "meta_yml_has_repository_resource" : 0,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 0,
      "valid_signature" : 1
   },
   "latest_mtime" : 1148902490,
   "license" : "open_source defined in META.yml defined in LICENSE",
   "license_from_yaml" : "open_source",
   "license_in_pod" : 1,
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "Simple robot interface for Colloquy",
      "author" : [
         "Nicola Worthington <nicolaw@cpan.org>"
      ],
      "generated_by" : "Module::Build version 0.2611",
      "license" : "open_source",
      "meta-spec" : {},
      "name" : "Colloquy-Bot-Simple",
      "provides" : {
         "Colloquy::Bot::Simple" : {
            "file" : "lib/Colloquy/Bot/Simple.pm",
            "version" : "1.08"
         }
      },
      "recommends" : {
         "Test" : "0",
         "Test::More" : "0",
         "Test::Pod" : "0",
         "Test::Pod::Coverage" : "0"
      },
      "requires" : {
         "Carp" : "0",
         "Chatbot::TalkerBot" : "1.8",
         "Parse::Colloquy::Bot" : "0.02"
      },
      "version" : "1.08"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.0",
   "modules" : [
      {
         "file" : "lib/Colloquy/Bot/Simple.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Colloquy::Bot::Simple"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "Colloquy-Bot-Simple-1.08.tar.gz",
   "prereq" : [
      {
         "is_optional_prereq" : 1,
         "requires" : "Test::More",
         "type" : "runtime_recommends",
         "version" : "0"
      },
      {
         "is_optional_prereq" : 1,
         "requires" : "Test::Pod::Coverage",
         "type" : "runtime_recommends",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Chatbot::TalkerBot",
         "type" : "runtime_requires",
         "version" : "1.8"
      },
      {
         "is_prereq" : 1,
         "requires" : "Carp",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_optional_prereq" : 1,
         "requires" : "Test",
         "type" : "runtime_recommends",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Parse::Colloquy::Bot",
         "type" : "runtime_requires",
         "version" : "0.02"
      },
      {
         "is_optional_prereq" : 1,
         "requires" : "Test::Pod",
         "type" : "runtime_recommends",
         "version" : "0"
      }
   ],
   "released_epoch" : 1148902586,
   "size_packed" : 10865,
   "size_unpacked" : 29699,
   "unknown_license_texts" : {
      "lib/Colloquy/Bot/Simple.pm" : "=head1 COPYRIGHT\n\nCopyright 2006 Nicola Worthington.\n\nThis software is licensed under The Apache Software License, Version 2.0.\n\nL<http://www.apache.org/licenses/LICENSE-2.0>\n\n"
   },
   "uses" : {
      "noed_in_code" : {
         "warnings" : 1
      },
      "required_in_config" : {
         "CPAN" : 1,
         "Cwd" : 1,
         "ExtUtils::MakeMaker" : 1,
         "File::Spec" : 1,
         "Module::Build" : 1
      },
      "required_in_eval_in_config" : {
         "Config" : 1,
         "LWP::UserAgent" : 1
      },
      "used_in_code" : {
         "Carp" : 1,
         "Chatbot::TalkerBot" : 1,
         "Exporter" : 1,
         "Parse::Colloquy::Bot" : 1,
         "strict" : 1,
         "vars" : 1
      },
      "used_in_config" : {
         "Module::Build" : 1,
         "lib" : 1,
         "strict" : 1,
         "vars" : 1
      },
      "used_in_eval_in_config" : {
         "Module::Build::Compat" : 2
      },
      "used_in_eval_in_tests" : {
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "Test::More" : 3,
         "lib" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "1.08",
   "versions" : {
      "lib/Colloquy/Bot/Simple.pm" : {
         "Colloquy::Bot::Simple" : "1.08"
      }
   },
   "vname" : "Colloquy-Bot-Simple-1.08"
}